Skip to content
Install

Get configured Postgres parameters and shared_preload_libraries

GET
/databases/{id}/settings
curl --request GET \
--url https://example.com/databases/example/settings \
--header 'Authorization: Bearer <token>'

Auth: authenticated (scope: read)

id
required
string

OK

Media typeapplication/json
object
advisories
Array<object>
object
key
required
string
message
required
string
backupCompression

“gzip”, “none”, or null to derive it from the memory limit.

string | null
parameters
required

Only parameters the user has explicitly set. A parameter absent here is sized automatically from the memory limit.

object
key
additional properties
string
sharedPreloadLibraries
required
Array<string>
key
additional properties

Example generated

{
"advisories": [
{
"key": "example",
"message": "example"
}
],
"backupCompression": "example",
"parameters": {
"additionalProperty": "example"
},
"sharedPreloadLibraries": [
"example"
]
}